package csspolice;

/**
 * <p>Title: CSSErrorHandler.java</p>
 * <p>Description: Error handler for parser</p>
 * <p>Copyright: Copyright (c) 2004, 2005, 2006 Jukka Mntyl</p>
 * <p>Company: jyu</p>
 * <p>Update date: 9.11.2006</p>
 * @author Jukka Mntyl
 * @version 1.02
 * @todo fatalErrorin data are not added to stringbuffer
 */

/*
 License

 This file is part of CSStoXML.

     CSStoXML is free software; you can redistribute it and/or modify
     it under the terms of the GNU Lesser General Public License as published by
     the Free Software Foundation; either version 2.1 of the License, or
     (at your option) any later version.

     CSStoXML is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU Lesser General Public License for more details.

     You should have received a copy of the GNU Lesser General Public License
     along with CSStoXML; if not, write to the Free Software
     Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/


import org.w3c.css.sac.ErrorHandler;
import org.w3c.css.sac.CSSParseException;
import org.w3c.css.sac.CSSException;

public class CSSErrorHandler implements ErrorHandler {

  private StringBuffer sb;

  public CSSErrorHandler(StringBuffer errors) {
    sb = errors;
  }

  public void warning(CSSParseException parm1) throws org.w3c.css.sac.CSSException {
   // Add error data to given stringbuffer
    sb.append("CSS-parseri: Varoitus rivill ");
    sb.append(parm1.getLineNumber());
    sb.append(". ");
    sb.append(parm1.getMessage());
    sb.append('\n');
  }

  public void error(CSSParseException parm1) throws org.w3c.css.sac.CSSException {
    // Add error data to given stringbuffer
    sb.append("CSS-parseri: Virhe rivill ");
    sb.append(parm1.getLineNumber());
    sb.append(". ");
    sb.append(parm1.getMessage());
    sb.append(". Validoi CSS-tyylitiedostosi.\n");
  }

  public void fatalError(CSSParseException parm1) throws org.w3c.css.sac.CSSException {
    throw new CSSException(parm1);
  }
}
