package csspolice;

/**
 * <p>Title: </p>
 * <p>Description: XSL-transforms self-defined xml-file to comments</p>
 * <p>Copyright: Copyright (c) 2005, 2006 Jukka Mntyl</p>
 * <p>Company: Jyvskyl university</p>
 * <p>Update date: 9.11.2006</p>
 * @author Jukka Mntyl
 * @version 1.02
 */

/*
 License

 This file is part of CSStoXML.

     CSStoXML is free software; you can redistribute it and/or modify
     it under the terms of the GNU Lesser General Public License as published by
     the Free Software Foundation; either version 2.1 of the License, or
     (at your option) any later version.

     CSStoXML is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU Lesser General Public License for more details.

     You should have received a copy of the GNU Lesser General Public License
     along with CSStoXML; if not, write to the Free Software
     Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

import java.io.*;
import javax.xml.transform.*;

import javax.xml.transform.stream.*;

public class CSSPoliceTransformer {

  private StringReader r;
  private String xslsheet;

  public CSSPoliceTransformer(StringReader r, String xslsheet) {
    this.r = r;
    this.xslsheet = xslsheet;
  }

  public String getResults() throws TransformerConfigurationException, TransformerException {
    TransformerFactory tFactory = TransformerFactory.newInstance();

    // read xsl-file
    Transformer transformer = tFactory.newTransformer(new javax.xml.transform.stream.StreamSource(xslsheet));
    // xsl-transform and add data to stringwriter
    StringWriter w = new StringWriter();
    transformer.transform(new StreamSource(r), new StreamResult(w));
    return w.toString();
  }


}
