package csspolice;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2005, 2006 Jukka Mntyl</p>
 * <p>Company: jyu</p>
 * <p>Update date: 9.11.2006</p>
 * @author Jukka Mntyl
 * @version 1.02
 * @todo Errorparser without stringbuffer parameter
 */

/*
 License

 This file is part of CSStoXML.

     CSStoXML is free software; you can redistribute it and/or modify
     it under the terms of the GNU Lesser General Public License as published by
     the Free Software Foundation; either version 2.1 of the License, or
     (at your option) any later version.

     CSStoXML is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU Lesser General Public License for more details.

     You should have received a copy of the GNU Lesser General Public License
     along with CSStoXML; if not, write to the Free Software
     Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

import com.steadystate.css.parser.*;
import java.io.*;
import org.w3c.css.sac.*;
import java.net.*;



public class CSSconvertXML {

  private SACParser parser = new SACParser();
  private ErrorHandler ehandler;
  private DocumentHandler dhandler;
  private String url = null;
  private StringBuffer errors = null;
  private StringBuffer s = new StringBuffer("");
  private boolean parsed = false;

  public CSSconvertXML(String url, SACMediaListImpl m, StringBuffer virheet) {
    this.url = url;
    errors = virheet;

    ehandler = new CSSErrorHandler(errors);
    parser.setErrorHandler(ehandler);
    // handler
    dhandler = new PrintXMLHandler(s,m);
    parser.setDocumentHandler(dhandler);
  }

  private void parse() throws UnsupportedEncodingException, MalformedURLException, IOException {

      URL p = new URL(URLDecoder.decode(url, "UTF-8"));
      InputStream ist = p.openStream();
      Reader r = new InputStreamReader(ist);

      InputSource is = new InputSource(r);

      parser.parseStyleSheet(is);
      parsed = true;
  }

  public StringReader getReader() throws MalformedURLException, IOException {
    if (!parsed)
      parse();
    return new StringReader(s.toString());
  }

  public String getString() throws MalformedURLException, IOException {
    if (!parsed)
      parse();
    return s.toString();
  }



}

